Search customer contacts
curl --request POST \
--url https://api.salesbricks.com/api/v2/persons/search \
--header 'Content-Type: application/json' \
--header 'X-SALESBRICKS-KEY: <api-key>' \
--data '
{
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.salesbricks.com/api/v2/persons/search"
payload = {
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-SALESBRICKS-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-SALESBRICKS-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
first_name: '<string>',
last_name: '<string>',
customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.salesbricks.com/api/v2/persons/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"role": "<string>",
"preferred_name": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}{
"error": {
"code": "ERR_BAD_REQUEST",
"message": "Bad request — the input payload is malformed, missing required fields, or contains invalid data."
}
}Customer Contacts
Search customer contacts
Search for customer contacts using various criteria. Supports searching by email, first_name, last_name (case-insensitive substring match), or customer_id (exact match to filter by associated customer). At least one search parameter must be provided. Pagination is handled via query params (limit, offset).
POST
/
persons
/
search
Search customer contacts
Authorizations
API key for authentication
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Input serializer for person search requests. Note: Pagination (limit/offset) is handled via query params, not POST body.
⌘I